package com.goafanti.demand.bo;

import java.math.BigDecimal;
import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.constant.AFTConstants;

public class DemandPartnerListBo {
	private String		id;

	/**
	 * 编号
	 */
	private Integer		serialNumber;

	/**
	 * 数据类别(0-个人需求,1-单位需求)
	 */
	private Integer		dataCategory;

	/**
	 * 名称
	 */
	private String		name;

	/**
	 * 关键词
	 */
	private String		keyword;

	/**
	 * 发布时间
	 */
	private Date		releaseDate;

	/**
	 * 需求类型
	 */
	private Integer		demandType;

	private Date		validityPeriod;

	/**
	 * 需求问题说明
	 */
	private String		problemDes;

	/**
	 * 行业类别下拉A
	 */
	private Integer		industryCategoryA;

	/**
	 * 行业类别下拉B
	 */
	private Integer		industryCategoryB;

	/**
	 * 预算费用
	 */
	private BigDecimal	budgetCost;

	public String getProblemDes() {
		return problemDes;
	}

	public void setProblemDes(String problemDes) {
		this.problemDes = problemDes;
	}

	public Integer getIndustryCategoryA() {
		return industryCategoryA;
	}

	public void setIndustryCategoryA(Integer industryCategoryA) {
		this.industryCategoryA = industryCategoryA;
	}

	public Integer getIndustryCategoryB() {
		return industryCategoryB;
	}

	public void setIndustryCategoryB(Integer industryCategoryB) {
		this.industryCategoryB = industryCategoryB;
	}

	public BigDecimal getBudgetCost() {
		return budgetCost;
	}

	public void setBudgetCost(BigDecimal budgetCost) {
		this.budgetCost = budgetCost;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getDataCategory() {
		return dataCategory;
	}

	public void setDataCategory(Integer dataCategory) {
		this.dataCategory = dataCategory;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getKeyword() {
		return keyword;
	}

	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}

	public Date getReleaseDate() {
		return releaseDate;
	}

	public void setReleaseDate(Date releaseDate) {
		this.releaseDate = releaseDate;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getDemandType() {
		return demandType;
	}

	public void setDemandType(Integer demandType) {
		this.demandType = demandType;
	}

	public Date getValidityPeriod() {
		return validityPeriod;
	}

	public void setValidityPeriod(Date validityPeriod) {
		this.validityPeriod = validityPeriod;
	}

	public String getValidityPeriodFormattedDate() {
		if (this.validityPeriod == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getValidityPeriod(), AFTConstants.YYYYMMDD);
		}
	}

	public void setValidityPeriodFormattedDate(String validityPeriodFormattedDate) {

	}

	public String getReleaseDateFormattedDate() {
		if (this.releaseDate == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getReleaseDate(), AFTConstants.YYYYMMDD);
		}
	}

	public void setReleaseDateFormattedDate(String releaseDateFormattedDate) {

	}

}
